

		
		
			varobs 	e_tauK_obs
                    e_tauK2_obs
                    e_tauK6_obs
                    e_tauK10_obs
                    e_tauK14_obs
					gam_C_obs
                    gam_CG_obs
                    gam_I_obs
					gam_WN_obs
					gam_YCo_obs
                    gam_YR_obs
                    gam_Ystar_obs
					piCostar_obs
			        piOstar_obs
					pistar_obs
					R_obs
                    Rstar_obs
                    stb_obs
                    xi_obs
					
					@#if search
						gam_H_obs
						gam_N_obs
                    @#else
                        gam_HN_obs  
					@#endif
                    
					@#if tcn_observed
                        piS_obs
                    @#else
                        rer_obs
					@#endif
                    
					@#if pM_observed==1
                        piM_obs
					@#endif
					
					@#if pM_observed==2
                        piMstar_obs
					@#endif
                    
					@#if endo_commo
                        gam_ICo_obs
					@#endif
					
					@#if oil_mepco
                        piO_obs
					@#endif
					
					@#if agric_cons
                        piA_obs
					@#endif
					
					@#if agric_cons && oil_mepco
                        piZ_obs
                    @#else
                        pi_obs
                    @#endif
					
					@#if gov_transfers
                        gam_TRG_obs
					@#endif
					
					@#if public_goods
                        gam_IG_obs
					@#endif
					


					;
		
		
		
		

	shocks;
	
	// Structural shocks -------------------------------------------------------------------
		
		@#if search
			@#for x in state_vars_base + state_vars_search + ["tauCo","tauD","tauW","tauC","tauUFA"]		 
				var 	eps_@{x}		;   stderr  	SIG_@{x};
			@#endfor
        @#else
			@#for x in state_vars_base + ["tauCo","tauD","tauW","tauC","tauUFA"]		 
				var 	eps_@{x}		;   stderr  	SIG_@{x};
			@#endfor
		@#endif
		
			var 	eps_tauK		;   stderr  	SIG_tauK;
			var 	eps_tauK2		;   stderr  	SIG_tauK2;
			var 	eps_tauK6		;   stderr  	SIG_tauK6;
			var 	eps_tauK10		;   stderr  	SIG_tauK10;
			var 	eps_tauK14		;   stderr  	SIG_tauK14;
			
	// Measurement errors, calibrated ------------------------------------------------------
	
			var		gam_C_obs		;	stderr		sqrt(1.111164^2*0.1);
            var		gam_CG_obs		;	stderr		sqrt(1.350836^2*0.1);
            var		gam_I_obs		;	stderr		sqrt(3.749835^2*0.1);
			var		gam_WN_obs		;   stderr		sqrt(0.377166^2*0.1);
            var		gam_YCo_obs		;	stderr		sqrt(3.044433^2*0.1);
			var		gam_YR_obs		;	stderr		sqrt(1.066859^2*0.1);
			var		R_obs			;	stderr		sqrt(0.401122^2*0.0);
            var		stb_obs     	;	stderr		sqrt(5.170851^2*0.1);
            var		xi_obs			;	stderr		sqrt(0.142413^2*0.1);
			
			var		pistar_obs		;	stderr		sqrt(2.853547^2*0.1);
			var		piCostar_obs	;	stderr		sqrt(14.24336^2*0.1);
			var		piOstar_obs		;	stderr		sqrt(16.79808^2*0.1);
		@#if search
			var		gam_H_obs		;	stderr		sqrt(1.345102^2*0.1);
			var		gam_N_obs		;	stderr		sqrt(0.419589^2*0.1);
        @#else
            var		gam_HN_obs		;	stderr		sqrt(1.372758^2*0.1);
		@#endif
             
		@#if pM_observed==1
            var		piM_obs			;	stderr		sqrt(4.467276^2*0.1); 
		@#endif
			
		@#if pM_observed==2
            var		piMstar_obs		;	stderr		sqrt(3.523280^2*0.1); 
		@#endif 

        @#if tcn_observed
            var		piS_obs     	;	stderr		sqrt(5.100537^2*0.1);            
        @#else
  			var		rer_obs     	;	stderr		sqrt(5.009308^2*0.1);            
        @#endif

		@#if endo_commo
            var		gam_ICo_obs		;	stderr		sqrt(8.802372^2*0.1);
		@#endif
			
		@#if oil_mepco
            var		piO_obs     	;	stderr		sqrt(5.372165^2*0.1);
		@#endif
			
		@#if agric_cons
            var		piA_obs     	;	stderr		sqrt(1.389658^2*0.1);
        @#endif
            
        @#if agric_cons && oil_mepco
            var		piZ_obs     	;	stderr		sqrt(0.488812^2*0.1);
		@#else
            var		pi_obs      	;	stderr		sqrt(0.667108^2*0.1);
        @#endif
			
		@#if gov_transfers	
            var		gam_TRG_obs		;	stderr		sqrt(3.169989^2*0.1);		
		@#endif
			
		@#if public_goods	
            var		gam_IG_obs		;	stderr		sqrt(13.568607^2*0.1);	
		@#endif
			


					
	end;

